diff -urN libvorbis-1.3.3-orig/lib/block.c libvorbis-1.3.3/lib/block.c
--- libvorbis-1.3.3-orig/lib/block.c	2010-10-23 19:34:24 +0900
+++ libvorbis-1.3.3/lib/block.c	2013-07-22 13:34:16 +0900
@@ -21,6 +21,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#include <alloca.h>
 #include <ogg/ogg.h>
 #include "vorbis/codec.h"
 #include "codec_internal.h"
diff -urN libvorbis-1.3.3-orig/lib/codebook.c libvorbis-1.3.3/lib/codebook.c
--- libvorbis-1.3.3-orig/lib/codebook.c	2012-02-04 05:51:28 +0900
+++ libvorbis-1.3.3/lib/codebook.c	2013-07-22 13:34:16 +0900
@@ -17,6 +17,7 @@
 
 #include <stdlib.h>
 #include <string.h>
+#include <alloca.h>
 #include <math.h>
 #include <ogg/ogg.h>
 #include "vorbis/codec.h"
diff -urN libvorbis-1.3.3-orig/lib/envelope.c libvorbis-1.3.3/lib/envelope.c
--- libvorbis-1.3.3-orig/lib/envelope.c	2010-03-25 15:29:00 +0900
+++ libvorbis-1.3.3/lib/envelope.c	2013-07-22 13:34:16 +0900
@@ -18,6 +18,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <stdio.h>
+#include <alloca.h>
 #include <math.h>
 #include <ogg/ogg.h>
 #include "vorbis/codec.h"
diff -urN libvorbis-1.3.3-orig/lib/info.c libvorbis-1.3.3/lib/info.c
--- libvorbis-1.3.3-orig/lib/info.c	2012-02-04 07:08:45 +0900
+++ libvorbis-1.3.3/lib/info.c	2013-07-22 13:34:16 +0900
@@ -20,6 +20,7 @@
 
 #include <stdlib.h>
 #include <string.h>
+#include <alloca.h>
 #include <ctype.h>
 #include <ogg/ogg.h>
 #include "vorbis/codec.h"
diff -urN libvorbis-1.3.3-orig/lib/lpc.c libvorbis-1.3.3/lib/lpc.c
--- libvorbis-1.3.3-orig/lib/lpc.c	2010-03-25 15:29:00 +0900
+++ libvorbis-1.3.3/lib/lpc.c	2013-07-22 13:34:16 +0900
@@ -45,6 +45,7 @@
 
 #include <stdlib.h>
 #include <string.h>
+#include <alloca.h>
 #include <math.h>
 #include "os.h"
 #include "smallft.h"
diff -urN libvorbis-1.3.3-orig/lib/lsp.c libvorbis-1.3.3/lib/lsp.c
--- libvorbis-1.3.3-orig/lib/lsp.c	2010-10-17 20:36:48 +0900
+++ libvorbis-1.3.3/lib/lsp.c	2013-07-22 13:34:16 +0900
@@ -35,6 +35,7 @@
 #include <math.h>
 #include <string.h>
 #include <stdlib.h>
+#include <alloca.h>
 #include "lsp.h"
 #include "os.h"
 #include "misc.h"
diff -urN libvorbis-1.3.3-orig/lib/mapping0.c libvorbis-1.3.3/lib/mapping0.c
--- libvorbis-1.3.3-orig/lib/mapping0.c	2010-03-26 15:20:51 +0900
+++ libvorbis-1.3.3/lib/mapping0.c	2013-07-22 13:34:16 +0900
@@ -18,6 +18,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
+#include <alloca.h>
 #include <math.h>
 #include <ogg/ogg.h>
 #include "vorbis/codec.h"
diff -urN libvorbis-1.3.3-orig/lib/mdct.c libvorbis-1.3.3/lib/mdct.c
--- libvorbis-1.3.3-orig/lib/mdct.c	2010-03-25 15:29:00 +0900
+++ libvorbis-1.3.3/lib/mdct.c	2013-07-22 13:34:16 +0900
@@ -40,6 +40,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#include <alloca.h>
 #include <math.h>
 #include "vorbis/codec.h"
 #include "mdct.h"
diff -urN libvorbis-1.3.3-orig/lib/psy.c libvorbis-1.3.3/lib/psy.c
--- libvorbis-1.3.3-orig/lib/psy.c	2012-01-20 15:54:03 +0900
+++ libvorbis-1.3.3/lib/psy.c	2013-07-22 13:34:16 +0900
@@ -18,6 +18,7 @@
 #include <stdlib.h>
 #include <math.h>
 #include <string.h>
+#include <alloca.h>
 #include "vorbis/codec.h"
 #include "codec_internal.h"
 
diff -urN libvorbis-1.3.3-orig/lib/res0.c libvorbis-1.3.3/lib/res0.c
--- libvorbis-1.3.3-orig/lib/res0.c	2010-10-23 13:31:21 +0900
+++ libvorbis-1.3.3/lib/res0.c	2013-07-22 13:34:16 +0900
@@ -22,6 +22,7 @@
 
 #include <stdlib.h>
 #include <string.h>
+#include <alloca.h>
 #include <math.h>
 #include <ogg/ogg.h>
 #include "vorbis/codec.h"
diff -urN libvorbis-1.3.3-orig/lib/sharedbook.c libvorbis-1.3.3/lib/sharedbook.c
--- libvorbis-1.3.3-orig/lib/sharedbook.c	2010-03-26 10:56:25 +0900
+++ libvorbis-1.3.3/lib/sharedbook.c	2013-07-22 13:34:16 +0900
@@ -18,6 +18,7 @@
 #include <stdlib.h>
 #include <math.h>
 #include <string.h>
+#include <alloca.h>
 #include <ogg/ogg.h>
 #include "os.h"
 #include "misc.h"
diff -urN libvorbis-1.3.3-orig/lib/vorbisfile.c libvorbis-1.3.3/lib/vorbisfile.c
--- libvorbis-1.3.3-orig/lib/vorbisfile.c	2010-10-27 23:54:00 +0900
+++ libvorbis-1.3.3/lib/vorbisfile.c	2013-07-22 13:34:16 +0900
@@ -17,6 +17,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
+#include <alloca.h>
 #include <errno.h>
 #include <string.h>
 #include <math.h>
